package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFS60Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFS60Data() {}

    public static MWFS60Data builder() {
        return new MWFS60Data();
    }

    public MWFS60Data rsDocFormat(String rsDocFormat) {
        params.put("RS_DOC_FORMAT", rsDocFormat);
        return this;
    }

    public MWFS60Data rsLocation(String rsLocation) {
        params.put("RS_LOCATION", rsLocation);
        return this;
    }

    public MWFS60Data rsOptions(String rsOptions) {
        params.put("RS_OPTIONS", rsOptions);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
